Gem::Specification.new do |s|
  s.platform = Gem::Platform::RUBY
  s.name = "gradesfirst"
  s.version = "0.6.5"
  s.summary = "GradesFirst command line utility for developers."
  s.description = "This utility will help manage the various tasks developers need to do on their workstation such as database updates."
  s.license = "MIT"

  s.required_ruby_version = ">= 1.8.7"
  s.required_rubygems_version = ">= 1.3.6"

  s.author = "GradesFirst"
  s.email = "tech@gradesfirst.com"
  s.homepage = "http://www.gradesfirst.com"

  s.files = `git ls-files`.split("\n")
  s.test_files = `git ls-files -- {test}/*`.split("\n")

  s.bindir = "bin"
  s.executables = ["gf"]
  s.default_executable = "gf"

  s.require_paths = ['lib']

  s.add_dependency('thor', '~> 0.18.1')
  s.add_dependency('http_magic', '~> 0.1.2')
  s.add_dependency('dotenv', '~> 0.11.1')
  s.add_development_dependency('minitest', '~> 4.7.0')
end
