require 'test_helper'
require 'pivotal_tracker'
require 'gradesfirst/branch_command'
require 'pivotal_tracker'

describe GradesFirst::BranchCommand do
  before do
    expect_requests stub_bar_story_request, stub_foo_story_request do
      git_branch_output = fixture_file('git_branch.txt')
      @command = GradesFirst::BranchCommand.new
      @command.stub :git_branch, git_branch_output, &call_execute
    end
  end

  specify '#response responds with Pivotal enhancements' do
    assert_equal fixture_file('gf_branch.txt'), @command.response
  end

end
