require 'test_helper'
require 'pivotal_tracker'
require 'gradesfirst/task_list_command'

describe GradesFirst::TaskListCommand do
  before do
    @command = GradesFirst::TaskListCommand.new
  end

  specify '#response responds with a task list with a valid story ' do
    expect_requests stub_bar_story_request, stub_bar_story_tasks_request do
      @command.stub :current_branch, bar_story_id, &call_execute
    end
    assert_equal fixture_file('tasks.txt'), @command.response
  end

  specify_response_for_invalid_story
end
